Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 281342 - media-sound/pulseaudio-0.9.9-r54 - daemon/ltdl-bind-now.c:133: error: variable ‘loader’ has initializer but incomplete type
Summary: media-sound/pulseaudio-0.9.9-r54 - daemon/ltdl-bind-now.c:133: error: variabl...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 257399
  Show dependency tree
 
Reported: 2009-08-13 16:00 UTC by Jeroen Roovers
Modified: 2009-08-23 23:07 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
media-sound:pulseaudio-0.9.9-r54:20090813-153950.log.gz [hppa,fail] (20090813-153950.log.gz,22.72 KB, text/plain)
2009-08-13 16:02 UTC, Jeroen Roovers
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeroen Roovers gentoo-dev 2009-08-13 16:00:25 UTC
Thu Aug 13 17:57:23 CEST 2009
Portage 2.1.6.13 (default/linux/hppa/2008.0, gcc-4.2.4, glibc-2.9_p20081201-r2, 2.6.30-gentoo-r4-JeR parisc)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.30-gentoo-r4-JeR-parisc-PA8700_-PCX-W2-with-gentoo-2.0.1
Timestamp of tree: Thu, 13 Aug 2009 03:45:01 +0000
distcc 3.1 hppa2.0-unknown-linux-gnu [disabled]
app-shells/bash:     3.2_p39
dev-lang/python:     2.6.2-r1
dev-util/cmake:      2.6.4-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3, 2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="hppa"
CBUILD="hppa2.0-unknown-linux-gnu"
CFLAGS="-O2 -pipe -mschedule=8000 -march=2.0 -g -ggdb -Wall"
CHOST="hppa2.0-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /var/bind /var/www/localhost/htdocs/wordpress/wp-config.php"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -mschedule=8000 -march=2.0 -g -ggdb -Wall"
DISTDIR="/keeps/gentoo/distfiles"
FEATURES="autoaddcvs buildpkg cvs distlocks fixpackages notitles parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict test test-fail-continue unmerge-orphans userfetch userpriv"
GENTOO_MIRRORS="http://de-mirror.org/distro/gentoo/ http://mirror.netcologne.de/gentoo/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo http://gentoo.tiscali.nl/ "
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en nl he"
MAKEOPTS="-j3"
PKGDIR="/keeps/gentoo/packages/elmer"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/mnt/alt"
PORTDIR="/keeps/gentoo/portage"
PORTDIR_OVERLAY="/keeps/gentoo/local"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="7zip X Xaw3d a52 aac aalib abyss accessibility acl ads agg alsa amr amrnb amrwb ao aoss apache2 ares artist-screen asf async asyncns audiofile audit automount avfs bash-completion berkdb bidi bittorrent bittorrent-external bl bluetooth bzip2 c++ cairo caps captury catalogs cblas cdb cddb cdparanoia cdr chardet cjk clarens cli colors cracklib crypt cups curl custom-cflags custom-cxxflags cxx dbi dbtool dbus designer designer-plugin device-mapper dga dia dirac directfb djbfft djvu domainkeys dri drm dts dv dvd dvdr dvdread ebook edl elf emacs enca encode esd examples exif expat fame fastbuild fastcgi fbcon ffmpeg filter flac fluidsynth fontconfig fontforge foomaticdb fortran ftp gadu galago gcrypt gd gdbm geant4 geoip ggi gif gimp gimpprint glep glib glut gmp gnokii gnome gnutls google-gadgets gphoto2 gpm gps gs gsl gsm gtk gtk2 gtkhtml guidexml hal hepmc hesiod hppa i18n ical icecast iconv icu idea idn imagemagick imlib immqt-bc inquisitio ipv6 isc isdnlog ithreads jack javascript jbig jingle jpeg jpeg2k judy kde kerberos kpathsea lapack lasi latex lcms ldap leim libass libcaca libffi libmms libnotify libotf libsamplerate libwww live lm_sensors logrotate logwatch lua lyrics-screen lzo mad manhole matroska mbrola memcache metis mhash mikmod mmap mng modplug motif mozbranding mp3 mplayer mssql mudflap musepack musicbrainz mysql nas nautilus ncurses netpbm network-cron nfconntrack nfs nls nntp nptl nptlonly nsplugin ntlm offensive ogg openal openexr opengl openmp openssl oss ots overlays pam pango pbs pch pcre pdf pdo-external perl php plasma plotutils plugins png policykit portage portaudio postgres povray ppds pppd pulseaudio python pyzord qalculate qdbm qt3 qt3support qt4 quotas raw readline recode reflection rle rpc rrdtool rtc ruby samba sasl scanner schroedinger scim sdl seamonkey server session sid slang slp sms sndfile snmp song-screen soundex speex spell spl sqlite srt srtp ssh ssl startup-notification subtitles subversion suhosin supernodal svg swat sysfs syslog talkfilters tcl tcpd test tftp tga theora threads thumbnail thunar-vfs tidy tiff timidity tk tools truetype tslib tunepimp twolame udev unicode unzip urandom usb userlocales utempter utf v4l v4l2 vanim vcd vidix vim-syntax vorbis watchdog wavpack webdav webinstall webkit winbind wlan wma wmf xanim xattr xcb xchattext xcomposite xface xml xml2 xmp xmpi xorg xpm xrandr xscreensaver xsettings xulrunner xv xvid xvmc zip zip-external zlib" ALSA_CARDS="ad1889 usb-audio" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_ftp proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev joystick keyboard mouse acecad aiptek calcomp citron digitaledge dmc dynapro elo2300 elographics fpit hyperpen jamstudio magellan microtouch mutouch palmax penmount spaceorb summa synaptics tek4957 tslib ur98 virtualbox wacom void" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en nl he" USERLAND="GNU" VIDEO_CARDS="stifb fbdev matrox dummy"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

media-sound/pulseaudio-0.9.9-r54 was built with the following:
USE="X alsa asyncns caps dbus gnome hal jack libsamplerate oss tcpd -avahi -bluetooth (-lirc) (-policykit)"
CFLAGS="-O2 -pipe -mschedule=8000 -march=2.0 -g -ggdb -Wall -UNDEBUG"
CXXFLAGS="-O2 -pipe -mschedule=8000 -march=2.0 -g -ggdb -Wall -UNDEBUG"
Comment 1 Jeroen Roovers gentoo-dev 2009-08-13 16:02:14 UTC
Created attachment 201144 [details]
media-sound:pulseaudio-0.9.9-r54:20090813-153950.log.gz [hppa,fail]
Comment 2 fernercc 2009-08-14 02:33:32 UTC
I cannot emerge this either.

---------------------------
daemon/ltdl-bind-now.c: In function 'pa_ltdl_init':
daemon/ltdl-bind-now.c:133: error: variable 'loader' has initializer but incomplete type
daemon/ltdl-bind-now.c:134: error: unknown field 'module_open' specified in initializer
daemon/ltdl-bind-now.c:134: warning: excess elements in struct initializer
daemon/ltdl-bind-now.c:134: warning: (near initialization for 'loader')
daemon/ltdl-bind-now.c:135: error: unknown field 'module_close' specified in initializer
daemon/ltdl-bind-now.c:135: warning: excess elements in struct initializer
daemon/ltdl-bind-now.c:135: warning: (near initialization for 'loader')
daemon/ltdl-bind-now.c:136: error: unknown field 'find_sym' specified in initializer
daemon/ltdl-bind-now.c:137: warning: excess elements in struct initializer
daemon/ltdl-bind-now.c:137: warning: (near initialization for 'loader')
daemon/ltdl-bind-now.c:133: error: storage size of 'loader' isn't known
daemon/ltdl-bind-now.c:142: warning: implicit declaration of function 'lt_dlmutex_register'
daemon/ltdl-bind-now.c:146: warning: passing argument 1 of 'lt_dlloader_find' discards qualifiers from pointer target type
daemon/ltdl-bind-now.c:146: warning: assignment from incompatible pointer type
daemon/ltdl-bind-now.c:150: warning: passing argument 1 of 'lt_dlloader_add' from incompatible pointer type
daemon/ltdl-bind-now.c:150: error: too many arguments to function 'lt_dlloader_add'
daemon/ltdl-bind-now.c:133: warning: unused variable 'loader'
make[3]: *** [pulseaudio-ltdl-bind-now.o] Error 1
make[3]: *** Waiting for unfinished jobs....
mv -f .deps/module_hal_detect_la-module-hal-detect.Tpo .deps/module_hal_detect_la-module-hal-detect.Plo
daemon/main.c: In function 'main':
daemon/main.c:486: warning: ISO C forbids braced-groups within expressions
mv -f .deps/module_bt_proximity_la-module-bt-proximity.Tpo .deps/module_bt_proximity_la-module-bt-proximity.Plo
mv -f .deps/pulseaudio-main.Tpo .deps/pulseaudio-main.Po
make[3]: Leaving directory `/var/tmp/portage/media-sound/pulseaudio-0.9.9-r54/work/pulseaudio-0.9.9/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/var/tmp/portage/media-sound/pulseaudio-0.9.9-r54/work/pulseaudio-0.9.9/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/media-sound/pulseaudio-0.9.9-r54/work/pulseaudio-0.9.9'
make: *** [all] Error 2
 * 
 * ERROR: media-sound/pulseaudio-0.9.9-r54 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3013:  Called die
 * The specific snippet of code:
 *       emake || die "emake failed"
 *  The die message:
 *   emake failed
 * 
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-sound/pulseaudio-0.9.9-r54/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-sound/pulseaudio-0.9.9-r54/temp/environment'.
 * 

>>> Failed to emerge media-sound/pulseaudio-0.9.9-r54, Log file:


---------------------------

Portage 2.1.6.13 (default/linux/x86/2008.0, gcc-4.3.2, glibc-2.9_p20081201-r2, 2.6.30-gentoo-r4 i686)
=================================================================
System uname: Linux-2.6.30-gentoo-r4-i686-Intel-R-_Core-TM-2_Duo_CPU_T7500_@_2.20GHz-with-glibc2.0
Timestamp of tree: Fri, 14 Aug 2009 02:00:02 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.5.4-r3
dev-util/cmake:      2.6.4
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=prescott -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=prescott -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirror.datapipe.net/gentoo "
LANG="C"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow X X509 aac acl alsa avahi banshee bash-completion berkdb bluetooth bzip2 cairo cdr cli cracklib crypt cups custom-cflags custom-cxxflags custom-optimization dbus dell dri dvd dvdr equalizer evo ffmpeg flac fortran gcrypt gdbm gif glitz gnome gnutls gpm gstreamer gtk hal iconv id3tag injection ipod ipv6 isdnlog jbig jpeg jpeg2k jpg kerberos libnotify m4a mad mdnsresponder-compat mmx mmxext mng mp3 mp4 mpeg mudflap musepack nautilus ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pcmcia pcre pdf perl png pppd python readline reflection session smp speex spell spl sse sse2 sse3 ssl ssse3 svg sysfs tcpd threads tiff truetype unicode usb vorbis wavpack wifi win32codecs wmf x264 x86 xcb xml xorg xulrunner xv xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="synaptics keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="nv nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 fernercc 2009-08-14 02:49:28 UTC
[ebuild  N    ] media-sound/pulseaudio-0.9.9-r54  USE="X alsa avahi bluetooth dbus gnome hal tcpd -asyncns -caps -jack -libsamplerate -lirc -oss (-policykit)" 0 kB
Comment 4 Peter Dewitt 2009-08-18 10:03:45 UTC
(In reply)
Hi all this is my first bug report. I am getting the same problem.

libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I../src -I../src/modules -I../src/modules/rtp -I../src/modules/gconf -pthread -D_POSIX_PTHREAD_SEMANTICS -DPA_DLSEARCHPATH=\"/usr/lib64/pulse-0.9/modules/\" -DPA_DEFAULT_CONFIG_DIR=\"/etc/pulse\" -DPA_BINARY=\"/usr/bin/pulseaudio\" -DPA_SYSTEM_RUNTIME_PATH=\"/var/run/pulse\" -DAO_REQUIRE_CAS "-DDEBUG_TRAP=__asm__(\"int \$3\")" -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -march=native -O2 -pipe -UNDEBUG -std=gnu99 -Wall -W -Wextra -pedantic -pipe -Wformat -Wold-style-definition -Wdeclaration-after-statement -Wfloat-equal -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wredundant-decls -Wmissing-noreturn -Wshadow -Wendif-labels -Wpointer-arith -Wcast-align -Wwrite-strings -Winline -Wno-unused-parameter -ffast-math -MT libdbus_util_la-dbus-util.lo -MD -MP -MF .deps/libdbus_util_la-dbus-util.Tpo -c modules/dbus-util.c -o libdbus_util_la-dbus-util.o >/dev/null 2>&1             
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I..    -I../src -I../src/modules -I../src/modules/rtp -I../src/modules/gconf -pthread -D_POSIX_PTHREAD_SEMANTICS    -DPA_DLSEARCHPATH=\"/usr/lib64/pulse-0.9/modules/\" -DPA_DEFAULT_CONFIG_DIR=\"/etc/pulse\" -DPA_BINARY=\"/usr/bin/pulseaudio\" -DPA_SYSTEM_RUNTIME_PATH=\"/var/run/pulse\" -DAO_REQUIRE_CAS '-DDEBUG_TRAP=__asm__("int $3")' -I/usr/include/liboil-0.3      -I/usr/include/liboil-0.3   -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include    -march=native -O2 -pipe -UNDEBUG -std=gnu99 -Wall -W -Wextra -pedantic -pipe -Wformat -Wold-style-definition -Wdeclaration-after-statement -Wfloat-equal -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wredundant-decls -Wmissing-noreturn -Wshadow -Wendif-labels -Wpointer-arith -Wcast-align -Wwrite-strings -Winline -Wno-unused-parameter -ffast-math -MT pulseaudio-ltdl-bind-now.o -MD -MP -MF .deps/pulseaudio-ltdl-bind-now.Tpo -c -o pulseaudio-ltdl-bind-now.o `test -f 'daemon/ltdl-bind-now.c' || echo './'`daemon/ltdl-bind-now.c                                              
daemon/ltdl-bind-now.c: In function 'pa_ltdl_init':                                                          
daemon/ltdl-bind-now.c:133: error: variable 'loader' has initializer but incomplete type                     
daemon/ltdl-bind-now.c:134: error: unknown field 'module_open' specified in initializer                      
daemon/ltdl-bind-now.c:134: warning: excess elements in struct initializer                                   
daemon/ltdl-bind-now.c:134: warning: (near initialization for 'loader')                                      
daemon/ltdl-bind-now.c:135: error: unknown field 'module_close' specified in initializer                     
daemon/ltdl-bind-now.c:135: warning: excess elements in struct initializer                                   
daemon/ltdl-bind-now.c:135: warning: (near initialization for 'loader')                                      
daemon/ltdl-bind-now.c:136: error: unknown field 'find_sym' specified in initializer                         
daemon/ltdl-bind-now.c:137: warning: excess elements in struct initializer                                   
daemon/ltdl-bind-now.c:137: warning: (near initialization for 'loader')                                      
daemon/ltdl-bind-now.c:133: error: storage size of 'loader' isn't known                                      
daemon/ltdl-bind-now.c:142: warning: implicit declaration of function 'lt_dlmutex_register'                  
daemon/ltdl-bind-now.c:146: warning: passing argument 1 of 'lt_dlloader_find' discards qualifiers from pointer target type                                                                                                
daemon/ltdl-bind-now.c:146: warning: assignment from incompatible pointer type                               
daemon/ltdl-bind-now.c:150: warning: passing argument 1 of 'lt_dlloader_add' from incompatible pointer type  
daemon/ltdl-bind-now.c:150: error: too many arguments to function 'lt_dlloader_add'                          
daemon/ltdl-bind-now.c:133: warning: unused variable 'loader'                                                
make[3]: *** [pulseaudio-ltdl-bind-now.o] Error 1                                                            
make[3]: *** Waiting for unfinished jobs....                                                                 
mv -f .deps/module_mmkbd_evdev_la-module-mmkbd-evdev.Tpo .deps/module_mmkbd_evdev_la-module-mmkbd-evdev.Plo  
mv -f .deps/libdbus_util_la-dbus-util.Tpo .deps/libdbus_util_la-dbus-util.Plo                                
mv -f .deps/pulseaudio-daemon-conf.Tpo .deps/pulseaudio-daemon-conf.Po                                       
libtool: compile:  x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I../src -I../src/modules -I../src/modules/rtp -I../src/modules/gconf -pthread -D_POSIX_PTHREAD_SEMANTICS -DPA_DLSEARCHPATH=\"/usr/lib64/pulse-0.9/modules/\" -DPA_DEFAULT_CONFIG_DIR=\"/etc/pulse\" -DPA_BINARY=\"/usr/bin/pulseaudio\" -DPA_SYSTEM_RUNTIME_PATH=\"/var/run/pulse\" -DAO_REQUIRE_CAS "-DDEBUG_TRAP=__asm__(\"int \$3\")" -DDBUS_API_SUBJECT_TO_CHANGE -I/usr/include/hal -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -march=native -O2 -pipe -UNDEBUG -std=gnu99 -Wall -W -Wextra -pedantic -pipe -Wformat -Wold-style-definition -Wdeclaration-after-statement -Wfloat-equal -Wmissing-declarations -Wmissing-prototypes -Wstrict-prototypes -Wredundant-decls -Wmissing-noreturn -Wshadow -Wendif-labels -Wpointer-arith -Wcast-align -Wwrite-strings -Winline -Wno-unused-parameter -ffast-math -MT module_hal_detect_la-module-hal-detect.lo -MD -MP -MF .deps/module_hal_detect_la-module-hal-detect.Tpo -c modules/module-hal-detect.c -o module_hal_detect_la-module-hal-detect.o >/dev/null 2>&1                           
mv -f .deps/module_hal_detect_la-module-hal-detect.Tpo .deps/module_hal_detect_la-module-hal-detect.Plo      
make[3]: Leaving directory `/var/tmp/portage/media-sound/pulseaudio-0.9.9-r54/work/pulseaudio-0.9.9/src'     
make[2]: *** [all] Error 2                                                                                   
make[2]: Leaving directory `/var/tmp/portage/media-sound/pulseaudio-0.9.9-r54/work/pulseaudio-0.9.9/src'     
make[1]: *** [all-recursive] Error 1                                                                         
make[1]: Leaving directory `/var/tmp/portage/media-sound/pulseaudio-0.9.9-r54/work/pulseaudio-0.9.9'         
make: *** [all] Error 2                                                                                      
 *                                                                                                           
 * ERROR: media-sound/pulseaudio-0.9.9-r54 failed.                                                           
 * Call stack:                                                                                               
 *               ebuild.sh, line   49:  Called src_compile                                                   
 *             environment, line 3126:  Called die                                                           
 * The specific snippet of code:                                                                             
 *       emake || die "emake failed"                                                                         
 *  The die message:                                                                                         
 *   emake failed                                                                                            
 *                                                                                                           
 * If you need support, post the topmost build error, and the call stack if relevant.                        
 * A complete build log is located at '/var/tmp/portage/media-sound/pulseaudio-0.9.9-r54/temp/build.log'.    
 * The ebuild environment file is located at '/var/tmp/portage/media-sound/pulseaudio-0.9.9-r54/temp/environment'.                                                                                                        
 *

emerge --info
Portage 2.1.6.13 (default/linux/amd64/2008.0, gcc-4.3.2, glibc-2.9_p20081201-r2, 2.6.28-gentoo-r5 x86_64)
=================================================================                                        
System uname: Linux-2.6.28-gentoo-r5-x86_64-AMD_Phenom-tm-_II_X4_920_Processor-with-gentoo-1.12.11.1     
Timestamp of tree: Mon, 17 Aug 2009 09:45:01 +0000                                                       
app-shells/bash:     3.2_p39                                                                             
dev-java/java-config: 2.1.8-r1                                                                           
dev-lang/python:     2.5.4-r3, 2.6.2-r1                                                                  
dev-util/cmake:      2.6.4                                                                               
sys-apps/baselayout: 1.12.11.1                                                                           
sys-apps/sandbox:    1.6-r2                                                                              
sys-devel/autoconf:  2.13, 2.63-r1                                                                       
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2                                                
sys-devel/binutils:  2.18-r3                                                                             
sys-devel/gcc-config: 1.4.1                                                                              
sys-devel/libtool:   2.2.6a                                                                              
virtual/os-headers:  2.6.27-r2                                                                           
ACCEPT_KEYWORDS="amd64"                                                                                  
CBUILD="x86_64-pc-linux-gnu"                                                                             
CFLAGS="-march=native -O2 -pipe"                                                                         
CHOST="x86_64-pc-linux-gnu"                                                                              
CONFIG_PROTECT="/etc /usr/share/config /var/lib/hsqldb"                                                  
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"                                                          
CXXFLAGS="-march=native -O2 -pipe"                                                                           
DISTDIR="/usr/portage/distfiles"                                                                             
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"                                                                                                            
GENTOO_MIRRORS="http://mirror.bytemark.co.uk/gentoo/ ftp://mirror.bytemark.co.uk/gentoo/ http://www.mirrorservice.org/sites/www.ibiblio.org/gentoo/ ftp://ftp.mirrorservice.org/sites/www.ibiblio.org/gentoo/ http://mirror.qubenet.net/mirror/gentoo/ ftp://mirror.qubenet.net/mirror/gentoo/ http://gentoo.virginmedia.com/ ftp://gentoo.virginmedia.com/sites/gentoo "
LDFLAGS="-Wl,-O1"
LINGUAS="en en_GB"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 acc acl acpi aim akonadi alsa amazon amd64 apache2 archive avahi berkdb bzip2 cairo cddb cdparanoia cdr cli consolekit cracklib crypt css cups dbus dri dts dvd dvdr dvdread encode fam fbcondecor ffmpeg flac ftp gdbm gif hal iconv icq imagemagick imap innodb inotify ipv6 jabber java javascript jpeg kde4 kipi kontact lame libnotify lm_sensors mikmod mime mmx mng modplug mp3 mpeg msn mudflap multilib mysql mysqli ncurses nepomuk nls nptl nptlonly ogg opengl oscar pam pcre pdf perl php plasma png policykit pulseaudio python qt3support qt4 quicktime raw readline reflection rss sdl semantic-desktop session sha512 slp smp spell spl sse sse2 ssh ssl startup-notification stigi svg sysfs syslog tcpd theora threads tiff truetype unicode usb vorbis webkit x264 xine xml xorg xvid yahoo zip zlib" ALSA_CARDS="snd_hda_intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LINGUAS="en en_GB" USERLAND="GNU" VIDEO_CARDS="fglrx"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY



[ebuild   R   ] media-sound/pulseaudio-0.9.9-r54  USE="X alsa avahi dbus hal tcpd -asyncns -bluetooth -caps -gnome -jack -libsamplerate -lirc -oss (-policykit)"

I had a fully working pulseaudio untill a very recent "emerge --update --deep --newuse world" then it stopped working "pulseaudio: error while loading shared libraries: libltdl.so.3: cannot open shared object file: No such file or directory" so I did revdep-rebuild and need to emerge pulseaudio to fix.
 
Comment 5 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-08-21 23:11:18 UTC
Please don't use 0.9.9 with libtool 2.2; if you want libtool 2.2, use pulseaudio 0.9.15.
Comment 6 Jeroen Roovers gentoo-dev 2009-08-23 16:36:44 UTC
It's a valid bug that isn't resolved. To resolve it, we need to either fix deps or wait until there is no version of pulseaudio in the tree that has this problem.

Also, closing bug reports before the issue is resolved will usually result in duplicate bugs being filed.

Also, this bug prevents stabilisation of libtool-2 and the resolution likely involves stabilising a newer version of pulseaudio.
Comment 7 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-08-23 16:43:23 UTC
As far as I can tell, _all_ the bugs due to mixing of ~arch and arch are to be called INVALID to begin with. As for the deps they _are_ fixed now. And trust me the moment libtool 2.2 is called for stable, pulseaudio will be called for stable, I'm _sick tired_ of having 0.9.9 around.
Comment 8 Jeroen Roovers gentoo-dev 2009-08-23 16:53:08 UTC
(In reply to comment #7)
> As far as I can tell, _all_ the bugs due to mixing of ~arch and arch are to be
> called INVALID to begin with.

In this case, I can't fix bug #257399 because of the currently stable pulseaudio. I can't see how that is invalidated by the nature of mixing stable and unstable, since arch testing is defined as mixing ~arch and arch for the purpose of stabilisation of the former.

> As for the deps they _are_ fixed now.

Thanks.

> And trust
> me the moment libtool 2.2 is called for stable, pulseaudio will be called for
> stable, I'm _sick tired_ of having 0.9.9 around.

Bug #257399 called for a stable libtool 2 on July 30. It's been almost a month because this sort of bug keeps coming up. So we NEED a newer pulseaudio NOW, before we can achieve what bug #257399 asks. If you don't agree with stabilising libtool-2 as bug #257399 asks, then change that bug NOW or file a new one to get a newer pulseaudio stable NOW.
Comment 9 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-08-23 22:04:21 UTC
Firstly: I was the first one asking for libtool-2.2 to go stable.

Then, the chicken/egg problem: pulseaudio-0.9.9 won't work with libtool-2.2, pulseaudio-0.9.15 won't work with libtool-1.5. They have to go stable as one thing.

Reason why I didn't ask for pulseaudio-0.9.15 stable? Jeremy, Markus and Tobias complaining two tests regressing, stopping the stable.

If it was "good to go", I would have opened the stable bug for pulseaudio-0.9.15.
Comment 10 Jeroen Roovers gentoo-dev 2009-08-23 23:07:07 UTC
ok